Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84174 - xawtv fails to initialize video
Summary: xawtv fails to initialize video
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xawtv
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-13 02:23 UTC by Ted
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-06 11:08:12 UTC


Attachments (Terms of Use)

Description Ted 2003-02-13 02:23:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2) Gecko/20021216

Description of problem:
xawtv fails to initialize video unless you are logged in as root.  After logging
in as root and running xawtv one time, the card will operate normally.

Xawtv prints the following error message when started:
This is xawtv-3.74, running on Linux/i686 (2.4.18-19.8.0custom)
seteuid(root): Operation not permitted
v4l-conf had some trouble, trying to continue anyway
WARNING: v4l and x11 disagree about the screen size
WARNING: Is v4l-conf installed correctly?
WARNING: v4l and x11 disagree about the color depth
WARNING: fbuf.depth=16, x11 depth=32
WARNING: Is v4l-conf installed correctly?
WARNING: v4l and dga disagree about the framebuffer base
WARNING: fbuf.base=(nil), dga=0xe0000000
WARNING: Is v4l-conf installed correctly?
WARNING: overlay mode disabled

(this problem was present before I put in a custom kernel)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install redhat linux with xawtv
2.run xawtv as a normal user
3.xawtv window spawns, but there is only sound.  No video.
4.exit xawtv and log in as root
5.start xawtv
6.xawtv now will run as expected regardless of user.
    

Expected Results:  xawtv should be executable by a normal user without needing
to first initialize it as root..

Additional info:

Comment 1 Ngo Than 2003-03-06 11:08:12 UTC
please download 3.81-6 or later from rawhide. It should be fixed in this release.


Note You need to log in before you can comment on or make changes to this bug.